Mail archive
alpine-aports

[alpine-aports] [PATCH] main/fish: upgrade to 2.2.0

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 10 Aug 2015 15:28:23 +0200

Also change the bindir to /bin and add /bin/fish to /etc/shells.
---
 main/fish/APKBUILD                    | 34 ++++++++++++++++++----------------
 main/fish/fish.post-install           |  3 +++
 main/fish/fish.post-upgrade           |  1 +
 main/fish/fish.pre-deinstall          |  3 +++
 main/fish/include-select-header.patch | 10 ++++++++++
 5 files changed, 35 insertions(+), 16 deletions(-)
 create mode 100644 main/fish/fish.post-install
 create mode 120000 main/fish/fish.post-upgrade
 create mode 100644 main/fish/fish.pre-deinstall
 create mode 100644 main/fish/include-select-header.patch
diff --git a/main/fish/APKBUILD b/main/fish/APKBUILD
index 4d44133..1c4a792 100644
--- a/main/fish/APKBUILD
+++ b/main/fish/APKBUILD
_at_@ -1,30 +1,29 @@
 # Contributor: William Pitcock <nenolod_at_dereferenced.org>
 # Maintainer: William Pitcock <nenolod_at_dereferenced.org>
 pkgname=fish
-pkgver=2.1.2
-pkgrel=1
+pkgver=2.2.0
+pkgrel=0
 pkgdesc="a modern interactive commandline shell"
 url="http://www.fishshell.com/"
 arch="all"
-
-# guessed from fish/fish.cpp *gag*
-license="GPL"
-
+license="GPL2"
 depends=""
 depends_dev="ncurses-dev"
-makedepends="$depends_dev autoconf automake libtool"
-install=""
+makedepends="$depends_dev autoconf automake libtool doxygen"
+install="$pkgname.post-install $pkgname.post-upgrade $pkgname.pre-deinstall"
 subpackages="$pkgname-doc"
 source="http://fishshell.com/files/$pkgver/fish-$pkgver.tar.gz
-        fish-safe-strerror.patch"
+	include-select-header.patch
+	fish-safe-strerror.patch"
 
 _builddir="$srcdir"/fish-$pkgver
 prepare() {
-	local i
 	cd "$_builddir"
+
+	local i=
 	for i in $source; do
 		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
 		esac
 	done
 
_at_@ -33,9 +32,9 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-
 	./configure --prefix=/usr \
-		--sysconfdir=/etc || return 1
+		--sysconfdir=/etc \
+		--bindir=/bin || return 1
 	make || return 1
 }
 
_at_@ -44,9 +43,12 @@ package() {
 	make install DESTDIR="$pkgdir" || return 1
 }
 
-md5sums="9cc73b46040174a1643d59d49ad28a48  fish-2.1.2.tar.gz
+md5sums="f6c3d940148593ff6648adb07986cbcb  fish-2.2.0.tar.gz
+9f34cc8d83592ebf75242bd3f695dedb  include-select-header.patch
 50547af78aef0c4d45904e79cd637e0e  fish-safe-strerror.patch"
-sha256sums="c6c20d5ca3a2a0168461de8abfe85f9e6b255132698ea0109998d4ab68f9f6dd  fish-2.1.2.tar.gz
+sha256sums="a76339fd14ce2ec229283c53e805faac48c3e99d9e3ede9d82c0554acfc7b77a  fish-2.2.0.tar.gz
+3a6b68370b936726036da6804e82ee4831fec1463ac9832c83f917b02e77e8aa  include-select-header.patch
 dd13865f8b45ea616cb37678268ecee65ce4539575ee98ab503633c7b2145edd  fish-safe-strerror.patch"
-sha512sums="4f8f0133094d4d2295546a5b96e044646de2266364610368210b0db529b2d865c1b389f01f311b9b6d6d6dcd2a29040b7a9499d491605ae52a765a76d83db2a5  fish-2.1.2.tar.gz
+sha512sums="210047f56b105a3d372f03d3a2de41661ed18001e3c8fa053ae4aa43089118d4467837ea022bc44f9877ecc3d0563b365f97920c002faccebaa663c4f079e9e0  fish-2.2.0.tar.gz
+c7d4e43d0e8cf1fe4f1fc8d4aac995860520ec80c8bb397fed84739817b1b01830ecbf2d761db2cd95d0aa5fa959d54165413d7d9cd4b814791cf895086e417e  include-select-header.patch
 f23d3b3db8fd9ac28f04a638478183abdebcf0dfbf50989625897741ebd19a771d6cd2baeae08b6c5887013fdba84118b2429b17cf541260ab894f173c81db17  fish-safe-strerror.patch"
diff --git a/main/fish/fish.post-install b/main/fish/fish.post-install
new file mode 100644
index 0000000..43608db
--- /dev/null
+++ b/main/fish/fish.post-install
_at_@ -0,0 +1,3 @@
+#!/bin/sh
+add-shell '/bin/fish'
+exit 0
diff --git a/main/fish/fish.post-upgrade b/main/fish/fish.post-upgrade
new file mode 120000
index 0000000..7fa98c8
--- /dev/null
+++ b/main/fish/fish.post-upgrade
_at_@ -0,0 +1 @@
+fish.post-install
\ No newline at end of file
diff --git a/main/fish/fish.pre-deinstall b/main/fish/fish.pre-deinstall
new file mode 100644
index 0000000..0761690
--- /dev/null
+++ b/main/fish/fish.pre-deinstall
_at_@ -0,0 +1,3 @@
+#!/bin/sh
+remove-shell '/bin/fish'
+exit 0
diff --git a/main/fish/include-select-header.patch b/main/fish/include-select-header.patch
new file mode 100644
index 0000000..267efb0
--- /dev/null
+++ b/main/fish/include-select-header.patch
_at_@ -0,0 +1,10 @@
+--- fish-2.2.0.orig/iothread.cpp
++++ fish-2.2.0/iothread.cpp
+_at_@ -11,6 +11,7 @@
+ #include <signal.h>
+ #include <fcntl.h>
+ #include <queue>
++#include <sys/select.h>
+ 
+ #ifdef _POSIX_THREAD_THREADS_MAX
+ #if _POSIX_THREAD_THREADS_MAX < 64
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Aug 10 2015 - 15:28:23 GMT